[linux-elitists] Mailman Must Die

Teh Entar-Nick nick@teh.entar.net
Fri Oct 26 17:26:29 PDT 2007


Marc MERLIN:
> On Fri, Oct 26, 2007 at 05:20:53PM +0100, Doug Winter wrote:
> > Marc MERLIN wrote:
> > > Haha, that reminds me why I don't miss Nick's messages. So full of
> > > shit as always...
[evidence to the contrary removed]
> 
> Would you say it was a packaging problem, or a problem with the
> mailman upgrade itself (never had to empty my queue to upgrade
> mailman, but maybe I got lucky)

Although you won't see this, Marc, because of your killfile rules from
the 90s, it's a little of both.  

The problem is first of all that mailman changes its qfile format in
incompatible ways from time to time, and provides no tools to translate.
The further problem is that the Debian package doesn't pay too close
attention to when these incompatibilities appear and just always assumes
your current qfiles are going to be useless.  It's especially
frustrating when the upstream version hasn't changed and you're just
going from -1 to -2 or something.

However, I did not mean to claim that the packaging problem was
inherently a mailman problem.  It's just one of the reasons why I want
to get the package off my system.  I don't host many mailing lists any
more, and would like to move what's left to something easier to
maintain.  That's why I asked in here if there were any suitable
alternatives out there.

-- 
"Some of us figured out in the 1950s                     Nick Moffitt
that blacklists were a bad idea.                        nick@zork.net
Some of us have that lesson still ahead of us."
           -- John Gilmore, on RBLs.



More information about the linux-elitists mailing list